/* sg_delaunay - delaunay triangulization algorithm for gtk+
 * Copyright 2001  Andy Thaller <thaller@ph.tum.de>
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Library General Public
 * License as published by the Free Software Foundation; either
 * version 2 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Library General Public License for more details.
 *
 * You should have received a copy of the GNU Library General Public
 * License along with this library; if not, write to the
 * Free Software Foundation, Inc., 59 Temple Place - Suite 330,
 * Boston, MA 02111-1307, USA.
 */

#ifndef __SG_DELAUNAY_H__
#define __SG_DELAUNAY_H__


#ifdef __cplusplus
extern "C" {
#endif /* __cplusplus */

#define SG_DELAUNAY(obj)        GTK_CHECK_CAST (obj, sg_dalaunay_get_type (), SGdelaunay)
#define GTK_TYPE_SG_DELAUNAY   (sg_dalaunay_get_type ())

#define SG_DELAUNAY_CLASS(klass) GTK_CHECK_CLASS_CAST (klass, sg_dalaunay_get_type(), SGdelaunayClass)
#define GTK_IS_SG_DELAUNAY(obj)     GTK_CHECK_TYPE (obj, sg_dalaunay_get_type ())


typedef struct _SGdelaunay SGdelaunay;
typedef struct _SGdelaunayClass SGdelaunayClass;

struct _SGdelaunay
{
  GtkPlotDT object;
};

struct _SGdelaunayClass
{
  GtkPlotDTClass parent_class;
};

GtkType         sg_delaunay_get_type               	(void);
GtkObject*	sg_delaunay_new 			(void);

#ifdef __cplusplus
}
#endif /* __cplusplus */


#endif /* __SG_DELAUNAY_H__ */
